Subject: Re: bug#16497: 24.3.50; `move-to-column' ignores invisible text at the beginning of the line, which create problems when using string-rectangle

From: Bastien <[email-masked]>
Date: Mon, 20 Jan 2014 17:25:20 +0100

Eli Zaretskii <[email-masked]> writes:

> move-to-column is a screen-moving command, and it has been skipping
> invisible text for the past 18 years.  It also accounts for various
> other display-only features and artifacts.  (It is a pity that this is
> not documented; I think it's a documentation bug.)
>
> So now I'm wondering why you thought you should be using this
> function, if what you need is (AFAIU) to get to the Nth character
> starting from the beginning of a line.

I don't think I should be using this command: I just used
`string-rectangle' which uses it (see my original report.)

> E.g., move-to-column also
> accounts for double-width characters (it counts them as 2 columns),
> and also for how composed characters are displayed (it could count N
> composed characters as M ~= N columns).  It also accounts for
> characters displayed via display tables.  Are you sure you want all
> this in the job you need to do with the rectangle?
>
> Or maybe you just want line-move-to-column.

Interestingly, the docstring of `line-move-to-column' is this:

  Try to find column COL, considering invisibility.
  This function works only in certain cases,
  because what we really need is for `move-to-column'
  and `current-column' to be able to ignore invisible text.

suggesting to improve `move-to-column' and `current-column'
by allowing them to handle invisible text.

-- 
 Bastien